import { CamelCase, ScreamingSnakeCase, KebabCase, PascalCase, SnakeCase } from 'type-fest';
export * from 'case-anything';

/** @see {@link https://github.com/mesqueeb/case-anything} */
declare function camelCase<T extends string>(_value: T): CamelCase<T>;
/** @see {@link https://github.com/mesqueeb/case-anything} */
declare function constantCase<T extends string>(_value: T): ScreamingSnakeCase<T>;
/** @see {@link https://github.com/mesqueeb/case-anything} */
declare function kebabCase<T extends string>(_value: T): KebabCase<T>;
/** @see {@link https://github.com/mesqueeb/case-anything} */
declare function pascalCase<T extends string>(_value: T): PascalCase<T>;
/** @see {@link https://github.com/mesqueeb/case-anything} */
declare function snakeCase<T extends string>(_value: T): SnakeCase<T>;

export { camelCase, constantCase, kebabCase, pascalCase, snakeCase };
