'use strict';

var creator = require('@terminal-nerds/snippets-regexp/creator');
var snippetsType = require('@terminal-nerds/snippets-type');
var zod = require('zod');
var primitive = require('@terminal-nerds/snippets-type/primitive');

function n(e){return primitive.validatePrimitive(e,"string")}zod.z.literal("");var A=["latin","number","special"],o=["a","b","c","d","e","f","g","h","i","j","k","l","m","n","o","p","r","s","t","u","v","w","x","y","z"],I=o.map(e=>e.toUpperCase()),g=[...o,...I],a=["0","1","2","3","4","5","6","7","8","9"],i=["~","`","@","#","$","%","^","&","*","(",")","-","_","+","=","\\","|","]","}","[","{",'"',"'",";",":","/","?",".",">",",","<"],J=[...o,...a,...i],c={latin:o,number:a,special:i},W=[...a,...i],$=[...g,...i],F=[...g,...a],l=snippetsType.STRING_SCHEMA.length(1,"This is supposed to be a single char"),m=zod.z.enum(A),P=zod.z.enum(o),v=zod.z.enum(a),b=zod.z.enum(i),O={latin:P,number:v,special:b};function E(e){l.parse(e);}function V(e){return n(e),l.safeParse(e).success}function _(e){return e.join("")}function x(e){m.parse(e);}function q(e){return n(e),m.safeParse(e).success}function K(e,s={}){E(e);let{caseInsensitive:t=!0}=s;for(let r of A)if(new Set(c[r]).has(t?e.toLowerCase():e))return r;throw new TypeError(`Unrecognized char type for: "${e}"`)}function Q(e,s){let{type:t,caseInsensitive:r=!0}=s;return E(e),x(t),O[t].safeParse(t==="latin"&&r?e.toLowerCase():e).success}function X(e,s){let{type:t,...r}=s;n(e),x(t);let C=_(c[t]);return creator.createRegExp(creator.charIn(C),creator.setRegExpFlags({caseInsensitive:!0,...r})).test(e)}function Z(e,s){let{type:t,...r}=s;n(e),x(t);let C=_(c[t]),h=creator.createRegExp(creator.charIn(C),creator.setRegExpFlags({caseInsensitive:!0,global:!0,multiline:!0,...r})),f=e.matchAll(h),u=[];for(let R of f)u.push(R.at(0));return u}

exports.CHARS = c;
exports.CHARS_SCHEMAS = O;
exports.CHAR_SCHEMA = l;
exports.CHAR_TYPES = A;
exports.CHAR_TYPE_SCHEMA = m;
exports.LATIN_CHARS = g;
exports.LATIN_CHAR_SCHEMA = P;
exports.LOWER_CASED_LATIN_CHARS = o;
exports.NON_LATIN_CHARS = W;
exports.NON_NUMBER_CHARS = $;
exports.NON_SPECIAL_CHARS = F;
exports.NUMBER_CHARS = a;
exports.NUMBER_CHAR_SCHEMA = v;
exports.SINGLE_CHARS = J;
exports.SPECIAL_CHARS = i;
exports.SPECIAL_CHAR_SCHEMA = b;
exports.UPPER_CASED_LATIN_CHARS = I;
exports.getCharType = K;
exports.getChars = Z;
exports.getJoinedChars = _;
exports.hasChars = X;
exports.isChar = Q;
exports.isSingleChar = V;
exports.isValidCharType = q;
exports.validateCharType = x;
exports.validateSingleChar = E;
//# sourceMappingURL=out.js.map
//# sourceMappingURL=char.cjs.map