import { createRegExp, charIn, setRegExpFlags } from '@terminal-nerds/snippets-regexp/creator';
import { STRING_SCHEMA } from '@terminal-nerds/snippets-type';
import { z } from 'zod';
import { validatePrimitive } from '@terminal-nerds/snippets-type/primitive';

function n(e){return validatePrimitive(e,"string")}z.literal("");var A=["latin","number","special"],o=["a","b","c","d","e","f","g","h","i","j","k","l","m","n","o","p","r","s","t","u","v","w","x","y","z"],P=o.map(e=>e.toUpperCase()),g=[...o,...P],a=["0","1","2","3","4","5","6","7","8","9"],i=["~","`","@","#","$","%","^","&","*","(",")","-","_","+","=","\\","|","]","}","[","{",'"',"'",";",":","/","?",".",">",",","<"],W=[...o,...a,...i],c={latin:o,number:a,special:i},$=[...a,...i],F=[...g,...i],V=[...g,...a],l=STRING_SCHEMA.length(1,"This is supposed to be a single char"),m=z.enum(A),v=z.enum(o),b=z.enum(a),O=z.enum(i),M={latin:v,number:b,special:O};function E(e){l.parse(e);}function q(e){return n(e),l.safeParse(e).success}function _(e){return e.join("")}function x(e){m.parse(e);}function K(e){return n(e),m.safeParse(e).success}function Q(e,s={}){E(e);let{caseInsensitive:t=!0}=s;for(let r of A)if(new Set(c[r]).has(t?e.toLowerCase():e))return r;throw new TypeError(`Unrecognized char type for: "${e}"`)}function X(e,s){let{type:t,caseInsensitive:r=!0}=s;return E(e),x(t),M[t].safeParse(t==="latin"&&r?e.toLowerCase():e).success}function Z(e,s){let{type:t,...r}=s;n(e),x(t);let C=_(c[t]);return createRegExp(charIn(C),setRegExpFlags({caseInsensitive:!0,...r})).test(e)}function ee(e,s){let{type:t,...r}=s;n(e),x(t);let C=_(c[t]),h=createRegExp(charIn(C),setRegExpFlags({caseInsensitive:!0,global:!0,multiline:!0,...r})),f=e.matchAll(h),u=[];for(let R of f)u.push(R.at(0));return u}

export { c as CHARS, M as CHARS_SCHEMAS, l as CHAR_SCHEMA, A as CHAR_TYPES, m as CHAR_TYPE_SCHEMA, g as LATIN_CHARS, v as LATIN_CHAR_SCHEMA, o as LOWER_CASED_LATIN_CHARS, $ as NON_LATIN_CHARS, F as NON_NUMBER_CHARS, V as NON_SPECIAL_CHARS, a as NUMBER_CHARS, b as NUMBER_CHAR_SCHEMA, W as SINGLE_CHARS, i as SPECIAL_CHARS, O as SPECIAL_CHAR_SCHEMA, P as UPPER_CASED_LATIN_CHARS, Q as getCharType, ee as getChars, _ as getJoinedChars, Z as hasChars, X as isChar, q as isSingleChar, K as isValidCharType, x as validateCharType, E as validateSingleChar };
//# sourceMappingURL=out.js.map
//# sourceMappingURL=char.js.map