import { z } from 'zod';

declare function validateString(value: unknown): asserts value is string;
declare function isString(value: unknown): value is string;
type EmptyString = "";
declare const EMPTY_STRING_SCHEMA: z.ZodLiteral<"">;
declare function isStringEmpty(value: string): value is EmptyString;

export { EMPTY_STRING_SCHEMA, EmptyString, isString, isStringEmpty, validateString };
